Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.ontology
Interface OntologyTerm

All Superinterfaces:
  Annotatable, Changeable, Term

All Known Implementing Classes:
  OntologyTerm.Impl

    public interface OntologyTerm

extends Term

A term in an ontology which identifies another ontology.

This Term type has an associated ontology. It is meant to represent that ontology so that you can reason over them. For example, you could add information to an Ontology containing an OntologyTerm stating how the OntologyTerm's Ontology relates to other entities. This allows classifications of Ontologies to be built. You could say that GO is a biological ontology, as is SO or perhaps declare something about the source of the information.

Since:
  1.4
Author:
  Thomas Down, Matthew Pocock

Nested Class Summary
`static class` | `OntologyTerm.Impl` Simple in-memory implementation of a remote ontology term.

Nested classes/interfaces inherited from interface org.biojava.bio.Annotatable
`Annotatable.AnnotationForwarder`

Field Summary

Fields inherited from interface org.biojava.ontology.Term
`ONTOLOGY`

Fields inherited from interface org.biojava.bio.Annotatable
`ANNOTATION`

Method Summary
`Ontology` | `getOntology()` Get the remote ontology referenced by this term

Methods inherited from interface org.biojava.ontology.Term
`addSynonym, getDescription, getName, getSynonyms, removeSynonym, setDescription`

Methods inherited from interface org.biojava.bio.Annotatable
`getAnnotation`

Methods inherited from interface org.biojava.utils.Changeable
`addChangeListener, addChangeListener, isUnchanging, removeChangeListener, removeChangeListener`

Method Detail

### getOntology

    Ontology getOntology()

  Get the remote ontology referenced by this term

  Specified by:
    `getOntology` in interface `Term`
  Returns:
    the ontology

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD